## org.eclipse.datatools.connectivity.ui.actions
Class ViewPropertyAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.datatools.connectivity.ui.actions.ViewPropertyAction

All Implemented Interfaces:
  org.eclipse.jface.action.IAction

    public class ViewPropertyAction

extends org.eclipse.jface.action.Action

Author:
  shongxum

Field Summary
`static java.lang.String` `MEMENTO_DIALOG_SIZE_HEIGHT`
`static java.lang.String` `MEMENTO_DIALOG_SIZE_WIDTH`
`static java.lang.String` `MEMENTO_ROOT`

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`ViewPropertyAction(org.eclipse.jface.viewers.Viewer viewer)` Constructor

Method Summary
`java.lang.Object` `getSelectedObject()` Get the selected object
`static boolean` `hasContributors(java.lang.Object selected)`
`void` `run()`

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction
`addPropertyChangeListener, removePropertyChangeListener`

Field Detail

### MEMENTO_ROOT

    public static final java.lang.String MEMENTO_ROOT

See Also:
  Constant Field Values

### MEMENTO_DIALOG_SIZE_HEIGHT

    public static final java.lang.String MEMENTO_DIALOG_SIZE_HEIGHT

See Also:
  Constant Field Values

### MEMENTO_DIALOG_SIZE_WIDTH

    public static final java.lang.String MEMENTO_DIALOG_SIZE_WIDTH

See Also:
  Constant Field Values

Constructor Detail

### ViewPropertyAction

    public ViewPropertyAction(org.eclipse.jface.viewers.Viewer viewer)

  Constructor

Method Detail

### hasContributors

    public static boolean hasContributors(java.lang.Object selected)

### run

    public void run()

  Specified by:
    `run` in interface `org.eclipse.jface.action.IAction`
  Overrides:
    `run` in class `org.eclipse.jface.action.Action`

### getSelectedObject

    public java.lang.Object getSelectedObject()

  Get the selected object

  Returns: